bmvmin.h File Reference

Mini bitset for testing and utility purposes (internal). More...

Go to the source code of this file.

## Data Structures

class | bm::miniset< A, N >
| Template class implements memory saving set functionality. More...
class | bm::bvmini< N >
| Mini bit-vector for auxiliary purposes. More...
class | bm::bvector_mini< A >
| Bitvector class with very limited functionality. More...

## Namespaces

namespace | bm

## Macros

#define | BM_MINISET_GAPLEN (bm::gap_len_table<true>::_len[0])
#define | BM_MINISET_ARRSIZE(x)

## Detailed Description

Mini bitset for testing and utility purposes (internal).

Definition in file bmvmin.h.

## Macro Definition Documentation

## BM_MINISET_ARRSIZE

#define BM_MINISET_ARRSIZE | ( |  | x | ) |

Value:
((x / 32) + ( (x % 32) && 1 ))

Definition at line 36 of file bmvmin.h.

Referenced by bm::miniset< A, N >::mem_used(), bm::bvmini< N >::swap(), and bm::miniset< A, N >::~miniset().

## BM_MINISET_GAPLEN

#define BM_MINISET_GAPLEN (bm::gap_len_table<true>::_len[0])

Definition at line 35 of file bmvmin.h.

Referenced by bm::miniset< A, N >::mem_used(), bm::miniset< A, N >::set(), and bm::miniset< A, N >::~miniset().